function [vyhodn]=vyhodnoceni(prx_f0,pomax,pomin,rozf0,vf0,sof0,pozmax,pozmin,prx_en,maxen,minen,ven,rozen,soen,posenmax,posenmin,prx_zc,zmax,zmin,prx_cc)  
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% Funkce pro zjisteni odchylky od ruznych emocnich stavu 
% Vyhodnocení je empirické dle nastavenych/vypoctenych vah v souboru INI
% (nastaveni.m)
%--------------------------------------------------------------------------
%Bc. árka Sobotková                                          2013
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
load ini % nactení nastavení systemu pro analízu em.stavu 

% matice pro porovnani parametru zkoumaneho vzorku s referencnimy vzorky
analyza_emoce(1,1)=prx_f0;
analyza_emoce(1,2)=pomax;
analyza_emoce(1,3)=pomin;
analyza_emoce(1,4)=rozf0;
analyza_emoce(1,5)=vf0;
analyza_emoce(1,6)=sof0;
analyza_emoce(1,7)=pozmax;
analyza_emoce(1,8)=pozmin;
analyza_emoce(1,9)=prx_en;
analyza_emoce(1,10)=maxen;
analyza_emoce(1,11)=minen;
analyza_emoce(1,12)=ven;
analyza_emoce(1,13)=rozen;
analyza_emoce(1,14)=soen;
analyza_emoce(1,15)=posenmax;
analyza_emoce(1,16)=posenmin;
analyza_emoce(1,17)=prx_zc;
analyza_emoce(1,18)=zmax;
analyza_emoce(1,19)=zmin;
for dd=1:20; ref_emoce(1,19+dd)=prx_cc(dd);end
        
load REF_HLAD
for i=1:39
    analyza_emoce(2,i)=ref_emoce(1,i);
end
 
load REF_NERVOZITA
for i=1:39
    analyza_emoce(3,i)=ref_emoce(1,i);
end
 
load REF_NESPOKOJENOST
for i=1:39
    analyza_emoce(4,i)=ref_emoce(1,i);
end
 
load REF_NUDA
for i=1:39
    analyza_emoce(5,i)=ref_emoce(1,i);
end
 
load REF_OSPALOST
for i=1:39
    analyza_emoce(6,i)=ref_emoce(1,i);
end
 
 
for ii=1:pocet_sta    % Cyklus pro vyhodnocení podobnosti z jednotlivými emocními stavy
    delitel=0;
    vx=0;
    for i=1:39
        if analyza_emoce(1,i)<=99999
            rozdil(i)=abs(analyza_emoce(1,i)-analyza_emoce(ii+1,i));
            vx=vx+rozdil(i)*pomer(i);
            delitel=delitel+pomer(i);
        end
    end
    
    vyhodn(ii)=vx/delitel; 
end
    
% save rozdil rozdil vx vyhodn
end